Name: iozone
Version: 3.218
Release: alt1

Summary: IOzone Filesystem Benchmark
Summary(ru_RU.KOI8-R):     IOzone

License: Freeware
Group: File tools

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-graphs

# for convert doc document to txt
BuildPreReq: catdoc

%description
IOzone is a filesystem benchmark tool. The benchmark generates and
measures a variety of file operations. Iozone has been ported 
to many machines and runs under many operating systems.

Iozone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread, mmap, aio_read, aio_write.

%description -l ru_RU.KOI8-R
IOzone -     
  .   
       .
Iozone        
 .

Iozone       
  .   
  -   :
, ,  ,  ,
 ,    ,   fread  fwrite,
 ,  pread, mmap, aio_read, aio_write

 iozone-graphs     ,
    . ,    
   550 ,     
  .    iozone-graphs ,   
   iozone -a.
!     ,   
   .

%prep
%setup -n src/current

%build
make linux

# fix hard xrange
%__subst "s/set xrange/#set xrange/" $RPM_BUILD_DIR/src/current/gnu3d.dem

%install
%define iozonebin $RPM_BUILD_ROOT/%_bindir
%__mkdir -p %iozonebin
cp $RPM_BUILD_DIR/src/current/%name %iozonebin
cp %SOURCE1 %iozonebin/%name-graphs
cp $RPM_BUILD_DIR/src/current/gengnuplot.sh %iozonebin/%name-gnuplot.sh

%__install -D $RPM_BUILD_DIR/src/current/gnu3d.dem $RPM_BUILD_ROOT/%_datadir/%name/gnu3d.dem

%define iozonedoc $RPM_BUILD_ROOT/%_docdir/%name-%version
%__mkdir -p %iozonedoc
cp $RPM_BUILD_DIR/docs/IOzone_msword_98.pdf %iozonedoc
catdoc $RPM_BUILD_DIR/docs/Run_rules.doc > %iozonedoc/Run_rules.txt
#cp $RPM_BUILD_DIR/docs/IOzone_msword_98.doc %iozonedoc
#cp $RPM_BUILD_DIR/docs/Iozone_ps.gz %iozonedoc
cp $RPM_BUILD_DIR/src/current/Gnuplot.txt %iozonedoc

%__install -D $RPM_BUILD_DIR/docs/iozone.1 $RPM_BUILD_ROOT/%_mandir/man1/iozone.1

%files
%attr(0755, root, root) %_bindir/*
%doc %_docdir/%name-%version
%_mandir/man1/*
%_datadir/%name

%changelog
* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 3.218-alt1
- first build for Sisyphus

